import time
import threading

class TestThread(threading.Thread):
    def __init__(self, name, semaphore):
        super().__init__()
        self.name = name
        self.semaphore = semaphore
    
    def run(self):
        while True:
            self.semaphore.acquire()
            print('Hier meldet sich:', end=' ')
            print(self.name)
            self.semaphore.release()
            time.sleep(1)

s = threading.Semaphore()
t1 = TestThread('Thread 1', s)
t2 = TestThread('Thread 2', s)
t1.start()
t2.start()
